# eric4.QScintilla.ZoomDialog

Module implementing a dialog to select the zoom scale.

### Global Attributes

None

### Classes

ZoomDialog | Class implementing a dialog to select the zoom scale.

### Functions

None

## ZoomDialog

Class implementing a dialog to select the zoom scale.

### Derived from

QDialog, Ui_ZoomDialog

### Class Attributes

None

### Methods

ZoomDialog | Constructor
getZoomSize | Public method to retrieve the zoom size.

#### ZoomDialog (Constructor)

ZoomDialog(zoom, parent, name = None, modal = False)

Constructor

zoom
  zoom factor to show in the spinbox
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)

#### ZoomDialog.getZoomSize

getZoomSize()

Public method to retrieve the zoom size.

Returns:
  zoom size (int)

Up